
\subsection{Perceps 3.5.0}


\subsubsection{Description}

PERCEPS is a Perl script designed to parse C/C++ header files and automatically
generate documentation in  a variety of formats based on the class definitions,
declarations, and comment information found in those files.  This allows you
to comment your code and generate useful documentation at the same time with
no extra  effort. PERCEPS can be useful both as a documentation tool and a simple
but effective collaboration tool for  both C and C++ projects. 

Unlike some other documentation generation systems, PERCEPS does not produce
a fixed output format.  Instead it uses \char`\"{}template\char`\"{} files,
plugin filters, and user-defined variables that can be freely modified to  produce
an almost unlimited variety of output. The example template files included with
the distribution  produce html pages, but \TeX, RTF, man page, plain text or
other formats are also possible.


\subsubsection{Links}

\vspace{0.3cm}
{\centering \begin{tabular}{|c|c|}
\hline 
Link Description&
Link\\
\hline 
\hline 
Home Page&
\url{http://starship.python.net/~tbryan/PERCEPS/}\\
\hline 
Download&
\url{http://starship.python.net/~tbryan/PERCEPS/prcpstgz.cgi}\\
\hline 
Mirror&
\url{}\\
\hline 
LDAS Patch&
\url{http://www.ldas-sw.ligo.caltech.edu/packages/perceps-3.5.0-pldas.1}\\
\hline 
\end{tabular}\par}
\vspace{0.3cm}

\NoStowBuildInstructions{

\begin{quotation}
patch -p0 < \$\{PATCH\_DIR\}/perceps-3.5.0-pldas.1

perl -api -e 's\#\textasciicircum{}\textbackslash{}\#\textbackslash{}!.{*}\$\#\textbackslash{}\#\textbackslash{}!'`which
perl`'\#go' perceps.pl

cp perceps.pl {\PREFIX}/bin/perceps

chmod a+x {\PREFIX}/bin/perceps
\end{quotation}
}

\StowBuildInstructions{

\begin{quotation}
patch -p0 < \$\{PATCH\_DIR\}/perceps-3.5.0-pldas.1

perl -api -e 's\#\textasciicircum{}\textbackslash{}\#\textbackslash{}!.{*}\$\#\textbackslash{}\#\textbackslash{}!'`which
perl`'\#go' perceps.pl

mkdir -p {\STOWPREFIX}/perceps-3.5.0p1/bin

cp perceps.pl {\STOWPREFIX}/perceps-3.5.0p1/bin/perceps

cd {\STOWPREFIX}

chmod a+x perceps-3.5.0p1/bin/perceps

stow perceps-3.5.0p1
\end{quotation}
}
